Subject: [Netslices] Elements in NS information model

From: "qiangli (D)" <[email-masked]>
Date: Thu, 7 Sep 2017 08:58:39 +0000

Hi All,

We are working on the information model design for network slice. In addition to some usual elements like nodes, links and QoS requirements (e.g., bandwidth, latency, jitter, etc.), NS information model also contains some slice specific elements. For now, we have identified the reliability level, isolation level, is there anything else should be modeled in the slice template? And how to define the isolation level (soft/hard) ?

Best regards,

Cristina QIANG

---

From: Thomas Nadeau <[email-masked]>
Date: Thu, 7 Sep 2017 07:52:09 -0400

Let me suggest that after considering the requirements, that your first option is to look over existing models and see if you can use those rather than potentially duplicating what is there already by creating a new model.  For example, take a look at yangcatalog.org <http://yangcatalog.org/> for starters, and also consult the Yang Doctors resources to help.

	—Tom

> On Sep 7, 2017, at 4:58 AM, qiangli (D) <[email-masked]> wrote:
> 
> Hi All,
>  
> _______________________________________________
> Netslices mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/netslices <https://www.ietf.org/mailman/listinfo/netslices>

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 07 Sep 2017 06:28:24 -0700

I’d rather start with TEAS.

Cheers,

Jeff

From: Netslices <[email-masked]> on behalf of Thomas Nadeau <[email-masked]>
Date: Thursday, September 7, 2017 at 04:52
To: "qiangli (D)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [Netslices] Elements in NS information model

                Let me suggest that after considering the requirements, that your first option is to look over existing models and see if you can use those rather than potentially duplicating what is there already by creating a new model.  For example, take a look at yangcatalog.org for starters, and also consult the Yang Doctors resources to help.

                —Tom

Hi All,

 

Best regards,

Cristina QIANG

_______________________________________________
Netslices mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netslices

_______________________________________________ Netslices mailing list [email-masked] https://www.ietf.org/mailman/listinfo/netslices

---

From: Thomas Nadeau <[email-masked]>
Date: Thu, 7 Sep 2017 10:42:21 -0400

Cool. I think the same point applies: please look around at existing work before inventing 
new stuff that potentially overlaps. 8)

	—Tom

> On Sep 7, 2017, at 9:28 AM, Jeff Tantsura <[email-masked]> wrote:
> 
> From: Netslices <[email-masked] <mailto:[email-masked]>> on behalf of Thomas Nadeau <[email-masked] <mailto:[email-masked]>>
> To: "qiangli (D)" <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
>> On Sep 7, 2017, at 4:58 AM, qiangli (D) <[email-masked] <mailto:[email-masked]>> wrote:
>>  
>> Hi All,
>>  
> _______________________________________________ Netslices mailing list [email-masked] <mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/netslices <https://www.ietf.org/mailman/listinfo/netslices>_______________________________________________
> Netslices mailing list

---

From: Igor Bryskin <[email-masked]>
Date: Thu, 7 Sep 2017 15:24:52 +0000

I agree with Jeff,

Igor

From: Netslices [mailto:[email-masked]] On Behalf Of Jeff Tantsura
Sent: Thursday, September 07, 2017 9:28 AM
To: Thomas Nadeau; qiangli (D)
Cc: [email-masked]
Subject: Re: [Netslices] Elements in NS information model

Cheers,
Jeff

                Let me suggest that after considering the requirements, that your first option is to look over existing models and see if you can use those rather than potentially duplicating what is there already by creating a new model.  For example, take a look at yangcatalog.org<http://yangcatalog.org> for starters, and also consult the Yang Doctors resources to help.

                —Tom

On Sep 7, 2017, at 4:58 AM, qiangli (D) <[email-masked]<mailto:[email-masked]>> wrote:

Hi All,

Best regards,

Cristina QIANG

_______________________________________________
Netslices mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netslices

---

From: John Strassner <[email-masked]>
Date: Thu, 7 Sep 2017 14:36:29 -0700

I agree with looking for existing models to start this work.

I do not agree that YANG is an information model. YANG is clearly a data
model as defined in RFC3198.

I like the work in TEAS, but fail to see how
draft-ietf-teas-actn-info-model-02 is, in fact, an information model. It
certainly has requirements that can be used to produce an info model, but
isn't one yet.

regards,
John

On Thu, Sep 7, 2017 at 8:24 AM, Igor Bryskin <[email-masked]>
wrote:

> I agree with Jeff,
>
>
>
> Igor
>
>
>
> *From:* Netslices [mailto:[email-masked]] *On Behalf Of *Jeff
> Tantsura
> *Sent:* Thursday, September 07, 2017 9:28 AM
> *To:* Thomas Nadeau; qiangli (D)
> *Cc:* [email-masked]
> *Subject:* Re: [Netslices] Elements in NS information model
>
>
>
> *From: *Netslices <[email-masked]> on behalf of Thomas Nadeau
> <[email-masked]>
> *Date: *Thursday, September 7, 2017 at 04:52
> *To: *"qiangli (D)" <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>
> *Subject: *Re: [Netslices] Elements in NS information model
>
>
>
>
>
>                 Let me suggest that after considering the requirements,
> that your first option is to look over existing models and see if you can
> use those rather than potentially duplicating what is there already by
> creating a new model.  For example, take a look at yangcatalog.org for
> starters, and also consult the Yang Doctors resources to help.
>
>
>
>                 —Tom
>
>
>
>
>
>
>
> We are working on the information model design for network slice. In
> addition to some usual elements like nodes, links and QoS requirements
> (e.g., bandwidth, latency, jitter, etc.), NS information model also
> contains some slice specific elements. For now, we have identified the
> reliability level, isolation level, is there anything else should be
> modeled in the slice template? And how to define the isolation level
> (soft/hard) ?
>
>
>
>
>
> Best regards,
>
>
>
> Cristina QIANG
>
>
>
> _______________________________________________ Netslices mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/netslices
>

-- 
regards,
John

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 7 Sep 2017 15:55:51 -0700

Dear All,
I agree that work conducted by TEAS should certainly be looked at but am
not sure whether we have any suitable TE metrics for to evaluate e2e delay
and (interpacket) delay variation. RFC 7471 and RFC 7810 clearly exclude
queuing nodal delay.

Regards,
Greg

On Thu, Sep 7, 2017 at 2:36 PM, John Strassner <[email-masked]> wrote:

> I like the work in TEAS, but fail to see how draft-ietf-teas-actn-info-model-02
> is, in fact, an information model. It certainly has requirements that can
> be used to produce an info model, but isn't one yet.
>
>
> regards,
> John
>
>
>> *From: *Netslices <[email-masked]> on behalf of Thomas
>> Nadeau <[email-masked]>

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 8 Sep 2017 00:10:44 +0100

John,

I believe we were all talking about data models, original topic got lost in translation...

Regards,
Jeff

> On Sep 7, 2017, at 22:36, John Strassner <[email-masked]> wrote:
> 
> I do not agree that YANG is an information model. YANG is clearly a data model as defined in RFC3198.
> 
> I like the work in TEAS, but fail to see how draft-ietf-teas-actn-info-model-02 is, in fact, an information model. It certainly has requirements that can be used to produce an info model, but isn't one yet.
> 
> 
> regards,
> John
> 
> 
>> On Thu, Sep 7, 2017 at 8:24 AM, Igor Bryskin <[email-masked]> wrote:
>> I agree with Jeff,
>> 
>>  
>> 
>> Igor
>> 
>>  
>>

---

From: John Strassner <[email-masked]>
Date: Thu, 7 Sep 2017 16:56:52 -0700

Cool, down to DefCon 4
:-)

regards,
John

-- 
regards,
John

---

From: "qiangli (D)" <[email-masked]>
Date: Fri, 8 Sep 2017 01:15:16 +0000

Share the same opinion with John, YANG is mainly data model, what we are trying to do is information model. YANG is more like an interface on the information model.

Best regards,

Cristina QIANG

From: John Strassner [mailto:[email-masked]]
Sent: Friday, September 08, 2017 5:36 AM
To: Igor Bryskin
Cc: Jeff Tantsura; Thomas Nadeau; qiangli (D); [email-masked]
Subject: Re: [Netslices] Elements in NS information model

regards,
John

On Thu, Sep 7, 2017 at 8:24 AM, Igor Bryskin <[email-masked]<mailto:[email-masked]>> wrote:
I agree with Jeff,

Igor

From: Netslices [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jeff Tantsura
Sent: Thursday, September 07, 2017 9:28 AM
To: Thomas Nadeau; qiangli (D)
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Netslices] Elements in NS information model

Cheers,
Jeff
From: Netslices <[email-masked]<mailto:[email-masked]>> on behalf of Thomas Nadeau <[email-masked]<mailto:[email-masked]>>
Date: Thursday, September 7, 2017 at 04:52
To: "qiangli (D)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netslices] Elements in NS information model

                —Tom

Hi All,

Best regards,

Cristina QIANG

_______________________________________________ Netslices mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/netslices

--
regards,
John

---

From: "qiangli (D)" <[email-masked]>
Date: Fri, 8 Sep 2017 01:45:44 +0000

Hi Jeff,

Actually, what I’m trying to say is Information model rather than data model. Of course, no matter information model [https://datatracker.ietf.org/doc/draft-ietf-teas-actn-info-model/] or data model [https://datatracker.ietf.org/doc/draft-ietf-teas-yang-te-topo/], TEAS has done a lot work. The question is whether these traffic engineering oriented existing work is enough for network slicing or not. Network slicing has never been considered to belong to the traffic engineering scope only.

Best regards,

Cristina QIANG

From: Jeff Tantsura [mailto:[email-masked]]
Sent: Friday, September 08, 2017 7:11 AM
To: John Strassner
Cc: Igor Bryskin; Thomas Nadeau; qiangli (D); [email-masked]
Subject: Re: [Netslices] Elements in NS information model

John,

Regards,
Jeff

On Sep 7, 2017, at 22:36, John Strassner <[email-masked]<mailto:[email-masked]>> wrote:
I agree with looking for existing models to start this work.

regards,
John

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

--
regards,
John

---

From: "qiangli (D)" <[email-masked]>
Date: Fri, 8 Sep 2017 02:10:50 +0000

In addition to the E2E delay and delay variation metrics Greg mentioned, I would like to emphasize that there are some non-TE metrics also very important to network slicing like isolation level, data security, privacy preservation, computing and storage capabilities, etc. Which of these metrics need to be modeled in the NS information model and how to defined them?

Best regards,

Cristina QIANG

From: Greg Mirsky [mailto:[email-masked]]
Sent: Friday, September 08, 2017 6:56 AM
To: John Strassner
Cc: Igor Bryskin; Thomas Nadeau; Jeff Tantsura; [email-masked]; qiangli (D)
Subject: Re: [Netslices] Elements in NS information model

Dear All,
I agree that work conducted by TEAS should certainly be looked at but am not sure whether we have any suitable TE metrics for to evaluate e2e delay and (interpacket) delay variation. RFC 7471 and RFC 7810 clearly exclude queuing nodal delay.

Regards,
Greg

On Thu, Sep 7, 2017 at 2:36 PM, John Strassner <[email-masked]<mailto:[email-masked]>> wrote:
I agree with looking for existing models to start this work.

regards,
John

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

--
regards,
John

---

From: "qiangli (D)" <[email-masked]>
Date: Fri, 8 Sep 2017 02:37:47 +0000

Hi Igor and Jeff

I agree with you that augmentation on ACTN can support the network slicing in TE scope (I think they call network slice in TE virtual network). Similarly, there are also many technologies can effectively support network slicing from different aspects like VPN+, DetNet, SR, SFC, NFV, etc. I guess you will also think that the information model of NS should not specify and bind with any specific technology ☺

Best regards,

Cristina QIANG

From: Igor Bryskin
Sent: Thursday, September 07, 2017 11:25 PM
To: Jeff Tantsura; Thomas Nadeau; qiangli (D)
Cc: [email-masked]
Subject: RE: [Netslices] Elements in NS information model

I agree with Jeff,

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

---

From: Leeyoung <[email-masked]>
Date: Fri, 8 Sep 2017 14:10:08 +0000

Just to clarify, based on the info model, we have progressed to data models already. Please see https://datatracker.ietf.org/doc/draft-king-teas-applicability-actn-slicing/ (overview)

And find several aspects of virtual network slicing data model from that:
https://datatracker.ietf.org/doc/html/draft-lee-teas-actn-vn-yang

Thanks.
Young

From: Netslices [mailto:[email-masked]] On Behalf Of Jeff Tantsura
Sent: Thursday, September 07, 2017 6:11 PM
To: John Strassner <[email-masked]>
Cc: Igor Bryskin <[email-masked]>; Thomas Nadeau <[email-masked]>; [email-masked]; qiangli (D) <[email-masked]>
Subject: Re: [Netslices] Elements in NS information model

John,

Regards,
Jeff

regards,
John

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

--
regards,
John

---

From: Igor Bryskin <[email-masked]>
Date: Fri, 8 Sep 2017 15:32:03 +0000

I believe that things like e3e propagation delay, full delay and delay variation are covered by TEAS TE topology model and its IP/MPLS layer specific augmentation.
Please, be aware of another new work that we have started in TEAS  -  SF-aware topology model (https://datatracker.ietf.org/doc/draft-bryskin-teas-use-cases-sf-aware-topo-model) that could be relevant to the network slicing.

Cheers,
Igor

From: qiangli (D)
Sent: Thursday, September 07, 2017 10:11 PM
To: Greg Mirsky; John Strassner; Igor Bryskin; Thomas Nadeau; Jeff Tantsura; [email-masked]
Subject: RE: [Netslices] Elements in NS information model

Best regards,

Cristina QIANG

Dear All,

Regards,
Greg

regards,
John

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

--
regards,
John

---

From: "qiangli (D)" <[email-masked]>
Date: Tue, 12 Sep 2017 06:45:57 +0000

I think our current work the NS information model could be well coordinated with the TEAS-SF aware topology model just as the draft expected “the SFC orchestrator may serve, for example, a higher level controller (such as network slicing orchestrator),….”. As my previous reply in another email said, there are various technologies (e.g., SFC, VPN+, SR, etc.) can support the network slicing from different aspects. And we are trying to provide a technology independent network slicing information model in the “higher level controller”, the related draft will come out soon.

Best regards,

Cristina QIANG

From: Igor Bryskin
Sent: Friday, September 08, 2017 11:32 PM
To: qiangli (D); Greg Mirsky; John Strassner; Thomas Nadeau; Jeff Tantsura; [email-masked]
Subject: RE: [Netslices] Elements in NS information model

Cheers,
Igor

From: qiangli (D)
Sent: Thursday, September 07, 2017 10:11 PM
To: Greg Mirsky; John Strassner; Igor Bryskin; Thomas Nadeau; Jeff Tantsura; [email-masked]<mailto:[email-masked]>
Subject: RE: [Netslices] Elements in NS information model

Best regards,

Cristina QIANG

From: Greg Mirsky [mailto:[email-masked]]
Sent: Friday, September 08, 2017 6:56 AM
To: John Strassner
Cc: Igor Bryskin; Thomas Nadeau; Jeff Tantsura; [email-masked]<mailto:[email-masked]>; qiangli (D)
Subject: Re: [Netslices] Elements in NS information model

Dear All,

Regards,
Greg

regards,
John

Igor

Cheers,
Jeff

                —Tom

Hi All,

Best regards,

Cristina QIANG

--
regards,
John